Bug 200650 - needs to handle postfix scache log entries
needs to handle postfix scache log entries
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-29 19:20 EDT by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: logwatch-7.3.1-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 05:07:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
statistics lines from maillog (29.78 KB, text/plain)
2006-09-21 13:17 EDT, Dave Fogarty
no flags Details

  None (edit)
Description Russell Coker 2006-07-29 19:20:42 EDT
Currently if you enable anvil in postfix you get maillog entries such as the 
below.  Unfortunately logwatch doesn't seem to handle the scache entries and 
generated lots of messages about "Unmatched entries".


postfix/scache[24755]: statistics: start interval Jul 30 04:01:41
postfix/scache[24755]: statistics: domain lookup hits=1 miss=10 success=9%
postfix/scache[24755]: statistics: address lookup hits=0 miss=10 success=0%
postfix/scache[24755]: statistics: max simultaneous domains=1 addresses=1 
connection=10
postfix/scache[25590]: statistics: start interval Jul 30 04:18:21
postfix/scache[25590]: statistics: domain lookup hits=37 miss=20 success=64%
postfix/scache[25590]: statistics: address lookup hits=0 miss=20 success=0%
postfix/scache[25590]: statistics: max simultaneous domains=1 addresses=1 
connection=20
postfix/scache[31466]: statistics: start interval Jul 30 04:35:01
postfix/scache[31466]: statistics: domain lookup hits=14 miss=10 success=58%
postfix/scache[31466]: statistics: address lookup hits=0 miss=10 success=0%
postfix/scache[31466]: statistics: max simultaneous domains=1 addresses=1 
connection=10
postfix/anvil[31961]: statistics: max connection rate 1/60s for 
(smtp:203.58.57.128) at Jul 30 04:58:39
postfix/anvil[31961]: statistics: max connection count 1 for 
(smtp:203.58.57.128) at Jul 30 04:58:39
postfix/anvil[31961]: statistics: max cache size 1 at Jul 30 04:58:39
postfix/scache[32161]: statistics: start interval Jul 30 05:08:21
postfix/scache[32161]: statistics: domain lookup hits=2 miss=9 success=18%
postfix/scache[32161]: statistics: address lookup hits=0 miss=9 success=0%
postfix/scache[32161]: statistics: max simultaneous domains=1 addresses=1 
connection=7
postfix/scache[32513]: statistics: start interval Jul 30 05:25:01
postfix/scache[32513]: statistics: domain lookup hits=0 miss=4 success=0%
postfix/scache[32513]: statistics: address lookup hits=0 miss=4 success=0%
postfix/scache[32513]: statistics: max simultaneous domains=1 addresses=1 
connection=4
postfix/scache[387]: statistics: start interval Jul 30 05:41:41
postfix/scache[387]: statistics: domain lookup hits=37 miss=20 success=64%
postfix/scache[387]: statistics: address lookup hits=0 miss=20 success=0%
postfix/scache[387]: statistics: max simultaneous domains=1 addresses=1 
connection=20
postfix/scache[753]: statistics: start interval Jul 30 05:58:20
postfix/scache[753]: statistics: domain lookup hits=4 miss=12 success=25%
postfix/scache[753]: statistics: address lookup hits=0 miss=12 success=0%
postfix/scache[753]: statistics: max simultaneous domains=1 addresses=1 
connection=8
postfix/anvil[954]: statistics: max connection rate 2/60s for 
(smtp:190.2.6.116) at Jul 30 06:09:18
postfix/anvil[954]: statistics: max connection count 1 for (smtp:190.2.6.116) 
at Jul 30 06:08:21
postfix/anvil[954]: statistics: max cache size 1 at Jul 30 06:08:21
postfix/scache[1115]: statistics: start interval Jul 30 06:15:01
postfix/scache[1115]: statistics: domain lookup hits=0 miss=6 success=0%
postfix/scache[1115]: statistics: address lookup hits=0 miss=6 success=0%
postfix/scache[1115]: statistics: max simultaneous domains=1 addresses=1 
connection=5
postfix/scache[1452]: statistics: start interval Jul 30 06:31:40
postfix/scache[1452]: statistics: domain lookup hits=0 miss=9 success=0%
postfix/scache[1452]: statistics: address lookup hits=0 miss=9 success=0%
postfix/scache[1452]: statistics: max simultaneous domains=1 addresses=1 
connection=9
postfix/scache[1827]: statistics: start interval Jul 30 06:48:21
postfix/scache[1827]: statistics: domain lookup hits=2 miss=10 success=16%
postfix/scache[1827]: statistics: address lookup hits=0 miss=10 success=0%
postfix/scache[1827]: statistics: max simultaneous domains=1 addresses=1 
connection=10
Comment 1 Marcela Mašláňová 2006-08-17 08:35:27 EDT
Ok, I'll fix it. Could you send me part from these files, which is about 
postfix?
I have problem with reproducing the bug.
/var/cache/logwatch/logwatch.XXXXXX/maillog
/var/log/maillog 
Comment 2 Dave Fogarty 2006-09-21 13:17:33 EDT
Created attachment 136887 [details]
statistics lines from maillog

This is the output of 'egrep statistics /var/log/maillog' on a RHES4 box.

Note that this problem is also happening on RHES4, but we do not have a
/var/cache/logwatch/ dir.
Comment 3 Ivana Varekova 2006-11-29 05:07:27 EST
Fixed in logwatch-7.3.1-6.fc7.
Comment 4 Dave Fogarty 2006-11-29 13:37:42 EST
This problem also exists on RHEL3 which runs logwatch-5.2.2-1.  Is there no plan
to fix it for non-fedora releases?

Note You need to log in before you can comment on or make changes to this bug.